ARG IMAGE_PREFIX
FROM ${IMAGE_PREFIX}alpine:3.18

# Create app directory
RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app


# Install app dependencies
RUN apk add --no-cache git yarn nodejs

# Don't install dev dependencies
ENV NODE_ENV production

COPY yarn.lock package.json /usr/src/app/
RUN yarn
COPY . /usr/src/app/

RUN yarn build
